Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryQueueDatabase..::.Open Method (String, SecondaryQueueDatabaseConfig)
SecondaryQueueDatabase Class See Also Send Feedback

Instantiate a new SecondaryQueueDatabase object, open the database represented by Filename and associate the database with the primary index.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public static SecondaryQueueDatabase Open(
    	string Filename,
    	SecondaryQueueDatabaseConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As SecondaryQueueDatabaseConfig _
    ) As SecondaryQueueDatabase

Visual C++
    public:
    static SecondaryQueueDatabase^ Open(
    	String^ Filename,
    	SecondaryQueueDatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

cfg
  Type: BerkeleyDB..::.SecondaryQueueDatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If Filename is null, the database is strictly temporary and cannot be opened by any other thread of control, thus the database can only be accessed by sharing the single database object that created it, in circumstances where doing so is safe.

If AutoCommit is set, the operation is implicitly transaction protected. Transactionally protected operations on a database object requires the object itself be transactionally protected during its open.

# See Also

SecondaryQueueDatabase Class
Open Overload
BerkeleyDB Namespace